Stampfactory
Dokumentation
Dienstplan

Lastverteilung im Dienstplan

Burden distribution of the roster's unit over the rolling fairness window ending at the roster period end (the planner sees the load accumulated up to this plan)

GET
/rosters/{roster}/fairness
AuthentifizierungBearer <token>

Bearer-Token, erhalten über den Login-Endpunkt (POST /rest/login).

Ort: header

Pfadparameter

roster*string

The roster ID

Formatuuid

Response-Body

application/json

application/json

application/json

curl -X GET "https://example.com/rosters/497f6eca-6276-4993-bfeb-53cbbbba6f08/fairness"
{  "data": [    {      "employee_id": "string",      "employee_name": "string",      "weekend": "string",      "night": "string",      "holiday": "string",      "unpopular": "string",      "unpopular_weight": "string",      "burden_score": "string",      "declination_count_12m": "string",      "total_shifts": "string",      "total_planned_ms": "string",      "total_planned": "string"    }  ],  "meta": {    "window_start": "string",    "window_end": "string",    "window_weeks": 0,    "fairness_index": 0  }}